Bug 837219

Summary: IBSimu is FTBFS on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: IBSimuAssignee: Steve Traylen <steve.traylen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: limburgher, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-09 10:33:47 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Peter Robinson 2012-07-03 04:12:36 EDT
IBSimu is ftbfs, excerpt below with failed koji build.

http://arm.koji.fedoraproject.org/taskinfo?taskID=938917

libtool: compile:  g++ -DHAVE_CONFIG_H -I. -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv5te -mfloat-abi=soft -I/usr/include -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/libpng15 -I/usr/include/freetype2 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv5te -mfloat-abi=soft -c error.cpp  -fPIC -DPIC -o .libs/error.o
error.cpp: In static member function 'static void SignalHandler::signal_handler_SIGSEGV(int, siginfo_t*, void*)':
error.cpp:168:42: error: 'mcontext_t' has no member named 'gregs'
error.cpp:194:5: error: 'sz' was not declared in this scope
error.cpp:194:21: error: 'bt' was not declared in this scope
error.cpp:195:5: error: 'strings' was not declared in this scope
make[2]: *** [error.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/builddir/build/BUILD/libibsimu-1.0.5b/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/libibsimu-1.0.5b/src'
make: *** [all-recursive] Error 1
Comment 1 Jon Ciesla 2012-09-20 10:13:57 EDT
Fixed BR issue, still FTBFS, but now it's a greg issue, similar to Io-language.  Looking at it.
Comment 2 Jon Ciesla 2012-09-21 12:51:45 EDT
Fixed in rawhide, built for primary.  Please run-test, or advise me how I can do so.
Comment 3 Fedora Update System 2012-09-24 08:44:37 EDT
IBSimu-1.0.5-4.b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/IBSimu-1.0.5-4.b.fc18
Comment 4 Fedora Update System 2012-09-24 16:04:47 EDT
Package IBSimu-1.0.5-4.b.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing IBSimu-1.0.5-4.b.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14687/IBSimu-1.0.5-4.b.fc18
then log in and leave karma (feedback).
Comment 5 Peter Robinson 2012-10-09 10:33:47 EDT
Fixed and pushed to stable